Skip to main content

Get Factory Presets

GET 

/api/v2/preset/factory

Returns all Factory Presets or those that match the search query.

Factory Presets are provided by RapidPipeline

A factory presets describes a optimization setting for different applications e.g. Lens Studio, Game Engines (Unreal, Unity) and devices (e.g. Hololens). You can use the returned id when using the Optimize endpoint

The RPDX version filter accepts a version string as shorthand for gte, or one or more comparison operators. Operators may optionally use a $ prefix. Multiple operators are combined with AND semantics. Example range: rpdx_version[gte]=7.0.0&rpdx_version[lt]=8.0.0.

Request​

Query Parameters

    q string

    Optional parameter to search for presets by name or description

    Example: yourSearchString
    type string

    Optional parameter to filter presets by type

    Example: preset
    rpdx_version string

    Optional shorthand for rpdx_version[gte].

    Example: 7.0.0
    rpdx_version[gte] string

    Optional greater-than-or-equal comparison.

    Example: 7.0.0
    rpdx_version[gt] string

    Optional greater-than comparison.

    Example: 7.0.0
    rpdx_version[lte] string

    Optional less-than-or-equal comparison.

    Example: 8.0.0
    rpdx_version[lt] string

    Optional less-than comparison.

    Example: 8.0.0
    rpdx_version[ne] string

    Optional not-equal comparison.

    Example: 7.0.0
    rpdx_version[eq] string

    Optional exact semantic-version comparison.

    Example: 7.5.0

Responses​

success

Schema

    string

Loading...